Calculate Employee Costs Globally

Determine the total employment costs for an Employee of Record (EOR) arrangement across different countries, including salary, employer costs, benefits, and additional fees.

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectOptional

Response

Successfully calculated employee costs.
costslist of objects or null
salarystring or null
The base salary for the employee.
countrystring or null
The country where the employee is based.
currencystring or null
The currency used for cost calculation.
deel_feestring or null
The Deel fee for managing the employee.
frequencystring or null

Frequency of the salary payment (e.g., monthly).

total_costsstring or null
Total employment costs.
country_codestring or null

ISO Alpha-2 code of the country.

benefits_datalist of objects or null
employer_costsstring or null
Costs incurred by the employer.
additional_dataobject or null
severance_accuralstring or null
Severance accrual costs.

Errors